
<div class="cart">
  <div class="cart-orders" *ngIf="preorder?.menus; else empty_cart">
    <div class="grid">
      <div class="col-3" *ngFor="let menu of preorder?.menus;">
          <p-card [header]="menu.name" [subheader]="menu.price">
            <ng-template pTemplate="header">
                <div class="menu-image mt-5">
                    <img alt="Card" [src]="menu.photoUrl" />
                </div>
            </ng-template>
            <p>{{menu.ingredients}}</p>
            <ng-template pTemplate="footer">
                <p-button (click)="removeCartDish(menu.id)" label="Видалити" styleClass="p-button-danger"></p-button>
            </ng-template>
          </p-card>
      </div>
    </div>
    <div class="cart-total m-5">Загальна сума: {{total}}</div>
    <div class="flex flex-wrap gap-3 m-5">
      <div class="flex align-items-center m-5" *ngFor="let payMethod of payment; let idx = index">
          <p-radioButton [name]="payMethod" [value]="payMethod" [(ngModel)]="selectedPayment" [inputId]="payMethod + idx"></p-radioButton>
          <label [for]="payMethod + idx" class="ml-2">{{PAYMENT[payMethod]}}</label>
      </div>
    </div>
    <button pButton pRipple label="Підтвердити" class="p-button-success m-5" (click)="submitCart(preorder)"></button>
  </div>
</div>

<ng-template #empty_cart>Корзина порожня</ng-template>